package es.rediris.forja.jleon.arrivalert;

import android.content.Context;
import android.content.Intent;


public class AlertaIM extends Alerta {
	 
	private String IMDireccion;
	private String IMAsunto;
	private String IMContenido;
	
	public AlertaIM(int id, String nombre, String IMDireccion, String IMAsunto, String IMContenido) {
		super(id, nombre);
		this.IMDireccion = IMDireccion;
		this.IMAsunto = IMAsunto;
		this.IMContenido = IMContenido;
	}

	
	public String getIMDireccion() {
		return IMDireccion;
	}
	
	public void setIMDireccion(String IMDireccion) {
		this.IMDireccion = IMDireccion;
	}
	
	public String getIMAsunto() {
		return IMAsunto;
	}
	
	public void setIMAsunto(String IMAsunto) {
		this.IMAsunto = IMAsunto;
	}
	
	public String getIMContenido() {
		return IMContenido;
	}
	
	public void setIMContenido(String IMContenido) {
		this.IMContenido = IMContenido;
	}
	

	@Override
	public int getAlertarID() {
		return Alerta.ALERTA_IM;
	}
	
	@Override
	public String getElementoSecundario() {
		
        String elemento;
        //TODO: Limitado a 15 caracteres
        if(this.getIMContenido().length() > 15) {
      	  elemento = this.getIMContenido().substring(0, 14) + " ...";
        }
        
        else {
      	  elemento = this.getIMContenido();
        }          
        return String.format("%s\n%s\n%s", this.getIMDireccion(), this.getIMAsunto(), elemento);
	}
	
	@Override
	public int getElementoImagenID() {
		return R.drawable.email2;
	}
	
	//TODO: Pendiente de automatizar
	@Override
	public boolean operarHabilitado(Context c) { 
		Intent i = new Intent(Intent.ACTION_SEND);
		i.setType("text/plain");
		i.putExtra(Intent.EXTRA_EMAIL, new String[] {this.getIMDireccion()});
		i.putExtra(Intent.EXTRA_SUBJECT, this.getIMAsunto());
		i.putExtra(Intent.EXTRA_TEXT, this.getIMContenido());
		i.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		
		c.startActivity(i);
		return true;
	}


	@Override
	public boolean operarDeshabilitado(Context c) {
		return operarHabilitado(c);
	}



}
